# Interface NodeLinkFnCtx

interface NodeLinkFnCtx {
newScope: boolean;
nodeLinkFn: NodeLinkFn;
templateOnThisElement: boolean;
terminal: boolean;
transclude: TranscludeFn;
transcludeOnThisElement: boolean;
}

- Defined in src/core/compile/compile.js:110

##### Index

### Properties

newScope
nodeLinkFn
templateOnThisElement
terminal
transclude
transcludeOnThisElement

## Properties

### newScope

newScope: boolean

- Defined in src/core/compile/compile.js:116

### nodeLinkFn

nodeLinkFn: NodeLinkFn

- Defined in src/core/compile/compile.js:111

### templateOnThisElement

templateOnThisElement: boolean

- Defined in src/core/compile/compile.js:115

### terminal

terminal: boolean

- Defined in src/core/compile/compile.js:112

### transclude

transclude: TranscludeFn

- Defined in src/core/compile/compile.js:113

### transcludeOnThisElement

transcludeOnThisElement: boolean

- Defined in src/core/compile/compile.js:114